For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.getunleash.io/api/llms.txt. For full documentation content, see https://docs.getunleash.io/api/llms-full.txt.

# Approve a user access request.

POST https://app.unleash-instance.example.com/api/admin/user-access-requests/{id}/approve
Content-Type: application/json

**Enterprise feature**

Approves a pending user access request, creating a new user with the specified role.

Reference: https://docs.getunleash.io/api/approve-user-access-request

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: admin-api
  version: 1.0.0
paths:
  /api/admin/user-access-requests/{id}/approve:
    post:
      operationId: approve-user-access-request
      summary: Approve a user access request.
      description: >-
        **Enterprise feature**


        Approves a pending user access request, creating a new user with the
        specified role.
      tags:
        - subpackage_users
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key needed to access this API
          required: true
          schema:
            type: string
      responses:
        '200':
          description: This response has no body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Users_approveUserAccessRequest_Response_200
        '401':
          description: >-
            Authorization information is missing or invalid. Provide a valid API
            token as the `authorization` header, e.g.
            `authorization:*.*.my-admin-token`.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApproveUserAccessRequestRequestUnauthorizedError
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApproveUserAccessRequestRequestNotFoundError
      requestBody:
        description: '#/components/schemas/approveUserAccessRequestSchema'
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/approveUserAccessRequestSchema'
servers:
  - url: https://app.unleash-instance.example.com
components:
  schemas:
    approveUserAccessRequestSchema:
      type: object
      properties:
        rootRole:
          type: integer
          description: The ID of the root role to assign to the new user.
      required:
        - rootRole
      description: The data required to approve a user access request.
      title: approveUserAccessRequestSchema
    Users_approveUserAccessRequest_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Users_approveUserAccessRequest_Response_200
    ApproveUserAccessRequestRequestUnauthorizedError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: ApproveUserAccessRequestRequestUnauthorizedError
    ApproveUserAccessRequestRequestNotFoundError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: ApproveUserAccessRequestRequestNotFoundError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: API key needed to access this API
    bearerToken:
      type: http
      scheme: bearer
      description: API key needed to access this API, in Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve"

payload = { "rootRole": 2 }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"rootRole":2}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve"

	payload := strings.NewReader("{\n  \"rootRole\": 2\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"rootRole\": 2\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"rootRole\": 2\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve', [
  'body' => '{
  "rootRole": 2
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"rootRole\": 2\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["rootRole": 2] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/user-access-requests/id/approve")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```